package ww2spring.service.impl;

import java.util.List;

import ww2spring.dao.BookCategoryDao;
import ww2spring.dao.BookDao;
import ww2spring.entity.Book;
import ww2spring.entity.BookCategory;
import ww2spring.service.BookService;

/**
 * ЊǗT[rX̎NX
 */
public class BookServiceImpl implements BookService {
	
	/** DAO */
	private BookDao bookDao;
	
	/** ЃJeSDAO */
	private BookCategoryDao bookCategoryDao;
	
	public void setBookDao(BookDao bookDao) {
		this.bookDao = bookDao;
	}

	public void setBookCategoryDao(BookCategoryDao bookCategoryDao) {
		this.bookCategoryDao = bookCategoryDao;
	}
	
	public Book loadBook(String code) {
		return bookDao.loadBook(code);
	}

	public List findBooksByCategoryCode(String categoryCode) {
		if(categoryCode == null || categoryCode.length() == 0) {
			return bookDao.getBooks();
		} else {
			return bookDao.getBooksByCategoryCode(categoryCode);
		}
	}

	public void updateBook(Book book) {
		bookDao.updateBook(book);
	}
	
	public List getBookCategories() {
		return bookCategoryDao.getBookCategories();
	}
	
	public BookCategory loadBookCategory(String categoryCode) {
		return bookCategoryDao.loadBookCateogory(categoryCode);
	}
}