package ww2spring.action;

import java.util.Collections;
import java.util.List;

import ww2spring.service.BookService;
import ww2spring.service.SessionService;

/**
 * ЌANV
 */
public class SearchBookAction extends BaseAction {
	
	// ----------------------------------------------------------------
	// T[rX
	// ----------------------------------------------------------------

	private SessionService sessionService;
	public void setSessionService(SessionService sessionService) {
		this.sessionService = sessionService;
	}

	private BookService bookService;
	public void setBookService(BookService bookService) {
		this.bookService = bookService;
	}

	// ----------------------------------------------------------------
	// ANV
	// ----------------------------------------------------------------
	
	public String display() throws Exception {		

		// ̕ƌ
		if(isRestore()) {
			sessionService.restoreCondition(getSession(), this);
			books = bookService.findBooksByCategoryCode(getCategoryCode());
		}

		return INPUT;
	}
	
	public String execute() throws Exception {		

		// ̕ۑ
		sessionService.storeCondition(getSession(), this);

		// 
		books = bookService.findBooksByCategoryCode(getCategoryCode());
		return SUCCESS;
	}

	// ----------------------------------------------------------------
	// tB[h
	// ----------------------------------------------------------------

	private boolean restore;
	private List books = Collections.EMPTY_LIST;

	public List getBooks() {
		return books;
	}

	private String categoryCode;
	
	/**
	 * @return
	 */
	public boolean isRestore() {
		return restore;
	}

	/**
	 * @param string
	 */
	public void setRestore(boolean string) {
		restore = string;
	}

	/**
	 * @return
	 */
	public String getCategoryCode() {
		return categoryCode;
	}

	/**
	 * @param string
	 */
	public void setCategoryCode(String string) {
		categoryCode = string;
	}

}