package ww2spring.action;

import java.util.List;

import ww2spring.entity.BookCategory;
import ww2spring.entity.User;
import ww2spring.service.BookService;
import ww2spring.service.SessionService;

/**
 * r[wp[
 */
public class ViewHelperAcion extends BaseAction {
	
	// ----------------------------------------------------------------
	// T[rX
	// ----------------------------------------------------------------

	private SessionService sessionService;
	public void setSessionService(SessionService sessionService) {
		this.sessionService = sessionService;
	}
	
	private BookService bookService;
	public void setBookService(BookService bookService) {
		this.bookService = bookService;
	}
	
	// ----------------------------------------------------------------
	// ANV
	// ----------------------------------------------------------------

	public User getUser() {
		return sessionService.getUser(getSession());
	}

	public List getCategories() {
		return bookService.getBookCategories();
	}

	public BookCategory getBookCategory(String categoryCode) {
		return bookService.loadBookCategory(categoryCode);
	}
}
